from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XServiceDocumenter(Protocol):
    def showServiceDocs(self, xService: XServiceInfo) -> None: ...
    def showInterfaceDocs(self, xTypeProvider: XTypeProvider) -> None: ...
    def showCoreDocs(self, xService: XServiceInfo) -> None: ...
